SKB_PULL_RCSUM(9)

NAME
skb_pull_rcsum - pull skb and update receive checksum

SYNOPSIS

unsigned char * skb_pull_rcsum(struct sk_buff * skb, unsigned int len);

ARGUMENTS

skb
    buffer to update

len
    length of data pulled

DESCRIPTION

This function performs an skb_pull on the packet and updates the CHECKSUM_COMPLETE checksum. It should be used on receive path processing instead of skb_pull unless you know that the checksum difference is zero (e.g., a valid IP header) or you are setting ip_summed to CHECKSUM_NONE.

COPYRIGHT